System Requirements

< enportal | 5.6 | overview


This page provides the system requirements for enPortal 5.6 and is specific to an enPortal-only deployment scenario. If the enPortal deployment is meant to evolve in a later phase with the addition of AppBoard, then it is recommended to adhere to the system requirements of AppBoard in the initial enPortal-only phase rather than upgrade the system later. Therefore, please refer to the system requirements document dedicated to AppBoard.

Page Contents

1. Server Requirements

1.1. Supported Platforms

The following table lists the operating systems supported by enPortal, but in general enPortal is supported on any 64-bit platform that can run Java 8 or later. enPortal is also supported on virtualized environments such as VMware.

Vendor Platform Versions
Oracle/Sun Microsystems Solaris 8, 9, 10, 11 - SPARC or x86 / x86_64
Red Hat Enterprise Linux Linux 5.7+, 6, 7 (or equiv for CentOS, Scientific Linux, Oracle Linux, and Amazon Linux)
SUSE Linux Enterprise Server Linux 10, 11
Microsoft Windows 7, 8, 8.1, Server 2003 / R2, Server 2008 / R2, Server 2012 / R2

1.2. System Requirements

Typical system requirements for an enPortal-only deployment are listed in the table below. In addition, you will find examples of system configurations specific to different deployment scenarios such as Dev or Test Lab / Proof of Concept (POC), Network Operations Center (NOC), or Managed Services Providers (MSPs). If the current deployment also includes (or plans to include) AppBoard, please refer to the System Requirements document dedicated to AppBoard.

Example Deployment Scenarios
Component Minimum
Requirement
(per enPortal server)
Dev
or
Test Lab
Internal use
(NOC, SOC, etc)
External use
(MSP customer-facing)
2+ servers in a cluster
CPU Single CPU Single CPU 2+ CPU cores 4-8 CPU cores
Memory 4 GB RAM 4 GB RAM 4-8 GB RAM 16-32 GB RAM
Storage 1 GB disk 1 GB disk 2 GB disk 2 GB disk
Operating System 32 or 64 bit O/S 32 or 64 bit O/S 64 bit O/S 64 bit O/S
Java Java SE 8 (JRE) installed on AppBoard server (Java SE 8 required since 5.6.2)
Database * Recommended: use the embedded H2 database (1)

OPTIONAL: external database; see below (2)

Recommended: use an external, clustered RDBMS (3)

* Notes in regards to the database requirements:

(1) By default, enPortal includes an in-memory H2 database for configuration data to maintain the mappings between users, roles and proxied content. For most deployment scenarios - excluding High Availability (HA), clustered architectures - Edge recommends using this embedded H2 database. This will simplify the deployment and lower hardware cost as the H2 database will be installed on the same physical or logical server as the enPortal application.
(2) Optionally, if it is desired to use an external database for this configuration data, Edge supports the following databases: SQL Server, Oracle, SQL Anywhere, PostgreSQL, MySQL, and DB2.
(3) For High Availability (HA), clustered enPortal architectures, it is required to use an external database on separate hardware to avoid a single point of failure and ideally this database will be installed on an HA database cluster that has a high bandwidth, low latency network connection to the enPortal servers. Because the size of the database needed by enPortal will be minimal (typically in the 10's of MBs), using an existing customer-supplied, clustered database from the list in (2) above is encouraged to keep costs low and to minimize deployment efforts.

1.3. Default Network Ports

Component Port Protocol Scope/Accessibility
Tomcat Web Server 8080 HTTP enPortal server via client host
Tomcat Shutdown Port 8005 N/A localhost
embedded H2 database N/A JDBC / System File runs in the Tomcat process
(optional - if used) external database Refer to specifications outlined by the vendor of the database of choice.

2. Client Browser Requirements

Vendor Platform Version(s) Minimum
Screen Resolution
Optional Plug-Ins*
Microsoft Internet Explorer 8, 9, 10, 11 1024x768 as required by integrated applications
Mozilla Firefox 3.6.28+
Google Chrome 18+

* If enPortal is deployed in conjunction with AppBoard, then the Adobe Flash Player is required for any client browser used.